textures/leighrex/stratosphere
{
    qer_editorImage env/leighrex/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/leighrex/stratosphere - -
}

textures/leighrex/stratosphere_hollow
{
    qer_editorImage env/leighrex/stratosphere_ft.tga
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/leighrex/stratosphere - -
}

textures/leighrex/tile00
{
    q3map_lightImage textures/leighrex/tile00.tga
    qer_editorImage textures/leighrex/qer_tile00_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile00_sl
{
    qer_editorImage textures/leighrex/tile00.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile00_icy
{
    q3map_lightImage textures/leighrex/tile00.tga
    qer_editorImage textures/leighrex/qer_tile00_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile00_sm
{
    q3map_lightImage textures/leighrex/tile00_sm.tga
    qer_editorImage textures/leighrex/qer_tile00_sm_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile00_sm.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile00_sm_sl
{
    qer_editorImage textures/leighrex/tile00_sm.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile00_sm.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile00_med_sl
{
    qer_editorImage textures/leighrex/tile00_med.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile00_med.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile00_hollow
{
    qer_editorImage textures/leighrex/tile00.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile00_hollow_icy
{
    q3map_lightImage textures/leighrex/tile00.tga
    qer_editorImage textures/leighrex/qer_tile00_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile01
{
    q3map_lightImage textures/leighrex/tile01.tga
    qer_editorImage textures/leighrex/qer_tile01_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile01_sl
{
    qer_editorImage textures/leighrex/tile01.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile01_icy
{
    q3map_lightImage textures/leighrex/tile01.tga
    qer_editorImage textures/leighrex/qer_tile01_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile01.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile01_hollow
{
    qer_editorImage textures/leighrex/tile01.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile01_hollow_icy
{
    q3map_lightImage textures/leighrex/tile01.tga
    qer_editorImage textures/leighrex/qer_tile01_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile01.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile02
{
    q3map_lightImage textures/leighrex/tile02.tga
    qer_editorImage textures/leighrex/qer_tile02_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile02_sl
{
    qer_editorImage textures/leighrex/tile02.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile02_icy
{
    q3map_lightImage textures/leighrex/tile02.tga
    qer_editorImage textures/leighrex/qer_tile02_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile02.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile02_hollow
{
    qer_editorImage textures/leighrex/tile02.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile02_hollow_icy
{
    q3map_lightImage textures/leighrex/tile02.tga
    qer_editorImage textures/leighrex/qer_tile02_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile02.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile03
{
    q3map_lightImage textures/leighrex/tile03.tga
    qer_editorImage textures/leighrex/qer_tile03_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile03_sl
{
    qer_editorImage textures/leighrex/tile03.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile03_icy
{
    q3map_lightImage textures/leighrex/tile03.tga
    qer_editorImage textures/leighrex/qer_tile03_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile03.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile03_hollow
{
    qer_editorImage textures/leighrex/tile03.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile03_hollow_icy
{
    q3map_lightImage textures/leighrex/tile03.tga
    qer_editorImage textures/leighrex/qer_tile03_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile03.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile04
{
    q3map_lightImage textures/leighrex/tile04.tga
    qer_editorImage textures/leighrex/qer_tile04_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile04.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile04_sl
{
    qer_editorImage textures/leighrex/tile04.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile04.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile04_icy
{
    q3map_lightImage textures/leighrex/tile04.tga
    qer_editorImage textures/leighrex/qer_tile04_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile04.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile05
{
    q3map_lightImage textures/leighrex/tile05.tga
    qer_editorImage textures/leighrex/qer_tile05_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile05_sl
{
    qer_editorImage textures/leighrex/tile05.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile05_icy
{
    q3map_lightImage textures/leighrex/tile05.tga
    qer_editorImage textures/leighrex/qer_tile05_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile05.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile05_hollow
{
    qer_editorImage textures/leighrex/tile05.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile06
{
    q3map_lightImage textures/leighrex/tile06.tga
    qer_editorImage textures/leighrex/qer_tile06_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile06.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile06_sl
{
    qer_editorImage textures/leighrex/tile06.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile06.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile06_icy
{
    q3map_lightImage textures/leighrex/tile06.tga
    qer_editorImage textures/leighrex/qer_tile06_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile06.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile07
{
    q3map_lightImage textures/leighrex/tile07.tga
    qer_editorImage textures/leighrex/qer_tile07_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile07_sl
{
    qer_editorImage textures/leighrex/tile07.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile07_icy
{
    q3map_lightImage textures/leighrex/tile07.tga
    qer_editorImage textures/leighrex/qer_tile07_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile07.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile07_hollow
{
    qer_editorImage textures/leighrex/tile07.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile08
{
    q3map_lightImage textures/leighrex/tile08.tga
    qer_editorImage textures/leighrex/qer_tile08_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile08_sl
{
    qer_editorImage textures/leighrex/tile08.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile08_icy
{
    q3map_lightImage textures/leighrex/tile08.tga
    qer_editorImage textures/leighrex/qer_tile08_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile08.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile08_hollow
{
    qer_editorImage textures/leighrex/tile08.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile09
{
    q3map_lightImage textures/leighrex/tile09.tga
    qer_editorImage textures/leighrex/qer_tile09_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile09_sl
{
    qer_editorImage textures/leighrex/tile09.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile09_icy
{
    q3map_lightImage textures/leighrex/tile09.tga
    qer_editorImage textures/leighrex/qer_tile09_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile09.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile09_hollow
{
    qer_editorImage textures/leighrex/tile09.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile10
{
    q3map_lightImage textures/leighrex/tile10.tga
    qer_editorImage textures/leighrex/qer_tile10_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile10.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile10_sl
{
    qer_editorImage textures/leighrex/tile10.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile10.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile10_icy
{
    q3map_lightImage textures/leighrex/tile10.tga
    qer_editorImage textures/leighrex/qer_tile10_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile10.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile11
{
    q3map_lightImage textures/leighrex/tile11.tga
    qer_editorImage textures/leighrex/qer_tile11_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile11_sl
{
    qer_editorImage textures/leighrex/tile11.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile11_icy
{
    q3map_lightImage textures/leighrex/tile11.tga
    qer_editorImage textures/leighrex/qer_tile11_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile11.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile11_hollow
{
    qer_editorImage textures/leighrex/tile11.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile12
{
    q3map_lightImage textures/leighrex/tile12.tga
    qer_editorImage textures/leighrex/qer_tile12_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile12.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile12_sl
{
    qer_editorImage textures/leighrex/tile12.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile12.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile12_icy
{
    q3map_lightImage textures/leighrex/tile12.tga
    qer_editorImage textures/leighrex/qer_tile12_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile12.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile13
{
    q3map_lightImage textures/leighrex/tile13.tga
    qer_editorImage textures/leighrex/qer_tile13_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile13_sl
{
    qer_editorImage textures/leighrex/tile13.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile13_hollow
{
    qer_editorImage textures/leighrex/tile13.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile14
{
    q3map_lightImage textures/leighrex/tile14.tga
    qer_editorImage textures/leighrex/qer_tile14_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile14_sl
{
    qer_editorImage textures/leighrex/tile14.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile14_icy
{
    q3map_lightImage textures/leighrex/tile14.tga
    qer_editorImage textures/leighrex/qer_tile14_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile14.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile14_hollow
{
    qer_editorImage textures/leighrex/tile14.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile15
{
    q3map_lightImage textures/leighrex/tile15.tga
    qer_editorImage textures/leighrex/qer_tile15_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile15_sl
{
    qer_editorImage textures/leighrex/tile15.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile15_hollow
{
    qer_editorImage textures/leighrex/tile15.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile16
{
    q3map_lightImage textures/leighrex/tile16.tga
    qer_editorImage textures/leighrex/qer_tile16_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile16.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile16_sl
{
    qer_editorImage textures/leighrex/tile16.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile16.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile16_icy
{
    q3map_lightImage textures/leighrex/tile16.tga
    qer_editorImage textures/leighrex/qer_tile16_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile16.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile17
{
    q3map_lightImage textures/leighrex/tile17.tga
    qer_editorImage textures/leighrex/qer_tile17_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile17_sl
{
    qer_editorImage textures/leighrex/tile17.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile17_icy
{
    q3map_lightImage textures/leighrex/tile17.tga
    qer_editorImage textures/leighrex/qer_tile17_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile17.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile17_hollow
{
    qer_editorImage textures/leighrex/tile17.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile18
{
    q3map_lightImage textures/leighrex/tile18.tga
    qer_editorImage textures/leighrex/qer_tile18_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile18.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile18_sl
{
    qer_editorImage textures/leighrex/tile18.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile18.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile18_icy
{
    q3map_lightImage textures/leighrex/tile18.tga
    qer_editorImage textures/leighrex/qer_tile18_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile18.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile19
{
    q3map_lightImage textures/leighrex/tile19.tga
    qer_editorImage textures/leighrex/qer_tile19_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile19_sl
{
    qer_editorImage textures/leighrex/tile19.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile19_icy
{
    q3map_lightImage textures/leighrex/tile19.tga
    qer_editorImage textures/leighrex/qer_tile19_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile19.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile19_hollow
{
    qer_editorImage textures/leighrex/tile19.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile20
{
    q3map_lightImage textures/leighrex/tile20.tga
    qer_editorImage textures/leighrex/qer_tile20_tr.tga
    surfaceparm nodamage
    {
        map textures/leighrex/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile20_sl
{
    qer_editorImage textures/leighrex/tile20.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/tile20_icy
{
    q3map_lightImage textures/leighrex/tile20.tga
    qer_editorImage textures/leighrex/qer_tile20_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/tile20.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/tile20_hollow
{
    qer_editorImage textures/leighrex/tile20.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/light
{
    qer_editorImage textures/leighrex/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/leighrex/light.tga
    }
}

textures/leighrex/flashing_light
{
    qer_editorImage textures/leighrex/lightred.tga
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    {
        map textures/leighrex/lightred.tga
        rgbGen wave sin 0.6 0.4 0 0.7
    }
}

textures/leighrex/flashing_button
{
    qer_editorImage textures/leighrex/lightred.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_leighrex/red.tga
        blendFunc filter
    }
    {
        map textures/leighrex/lightred.tga
        blendFunc add
        rgbGen wave square 0.20 0.20 0 2.3
    }
}

textures/leighrex/depressed_button
{
    qer_editorImage textures/leighrex/lightorange.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_leighrex/orange.tga
        blendFunc filter
    }
    {
        map textures/leighrex/lightorange.tga
        blendFunc add
        rgbGen const ( 0.4 0.4 0.4 )
    }
}

textures/leighrex/ladder
{
    qer_editorImage textures/leighrex/redwood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    {
        map textures/leighrex/redwood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/wood
{
    qer_editorImage textures/leighrex/wood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/leighrex/wood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/barrier
{
    qer_editorImage textures/leighrex/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/leighrex/barrier.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/barrier_sl
{
    qer_editorImage textures/leighrex/barrier_sl.tga
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/barrier_sl.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/walljump
{
    qer_editorImage textures/leighrex/walljump.tga
    surfaceparm nodamage
    {
        map textures/leighrex/walljump.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/glass_clear
{
    q3map_lightImage textures/_leighrex/glass_radiosity.tga
    qer_editorImage textures/leighrex/qer_clear.tga
    qer_trans 0.5
    q3map_bounceScale 0.33
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_leighrex/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/leighrex/glass_clear_tr
{
    q3map_lightImage textures/_leighrex/glass_radiosity.tga
    qer_editorImage textures/leighrex/qer_clear.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_leighrex/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/leighrex/glass_transparent
{
    q3map_lightImage textures/_leighrex/glass_radiosity.tga
    qer_editorImage textures/leighrex/qer_clear.tga
    qer_trans 0.3
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_leighrex/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/leighrex/glass_transparent_tr
{
    q3map_lightImage textures/_leighrex/glass_radiosity.tga
    qer_editorImage textures/leighrex/qer_clear.tga
    qer_trans 0.4
    q3map_bounceScale 0.22
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_leighrex/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/leighrex/glass_transparent2
{
    qer_editorImage textures/leighrex/qer_clear.tga
    qer_trans 0.1
    q3map_bounceScale 0.02
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_leighrex/q3a_glass_transparent2.tga
        blendFunc add
        tcGen environment
    }
}

// Note that this is virtually the same as
// textures/ramb_common/slickclearfiller.
textures/leighrex/clear
{
    qer_editorImage textures/leighrex/qer_clear.tga
    qer_trans 0.1
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm nodraw
    surfaceparm trans
}

textures/leighrex/filler
{
    qer_editorImage textures/leighrex/qer_filler.tga
    qer_trans 0.6
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/leighrex/filler_sl
{
    qer_editorImage textures/leighrex/qer_filler.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/leighrex/filler_wood
{
    qer_editorImage textures/leighrex/qer_filler_wood.tga
    qer_trans 0.6
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/leighrex/filler_glass
{
    qer_editorImage textures/leighrex/qer_filler_glass.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/leighrex/portal
{
    qer_editorImage textures/leighrex/portal.tga
    qer_trans 0.7
    surfaceparm detail
    surfaceparm nonsolid
//    cull disable
    {
        map textures/leighrex/portal.tga
        tcMod scroll 0 1
    }
}

textures/leighrex/portal_solid
{
    qer_editorImage textures/leighrex/portal.tga
    surfaceparm nodamage
    surfaceparm nomarks
    surfaceparm noimpact
    {
        map textures/leighrex/portal.tga
        tcMod scale 0.6 0.6
        tcMod rotate 15
        tcMod scroll 0.25 0.25
    }
}

textures/leighrex/portal_trans
{
    qer_editorImage textures/leighrex/portal.tga
    qer_trans 0.4
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/portal.tga
        blendFunc blend
        alphaGen const 0.65
        tcMod scroll 0 1
    }
}

textures/leighrex/portal_lemming
{
    qer_editorImage textures/leighrex/portal.tga
    surfaceparm slick
    surfaceparm nomarks
    surfaceparm noimpact
    {
        map textures/leighrex/portal.tga
    }
}

textures/leighrex/white
{
    qer_editorImage textures/leighrex/white.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/white.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/white_icy
{
    q3map_lightImage textures/leighrex/white.tga
    qer_editorImage textures/leighrex/qer_white_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/white_hollow
{
    qer_editorImage textures/leighrex/white.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/white.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/white_hollow_icy
{
    q3map_lightImage textures/leighrex/white.tga
    qer_editorImage textures/leighrex/qer_white_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/gray
{
    qer_editorImage textures/leighrex/gray.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/gray.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/gray_icy
{
    q3map_lightImage textures/leighrex/gray.tga
    qer_editorImage textures/leighrex/qer_gray_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/leighrex/gray.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/gray_hollow
{
    qer_editorImage textures/leighrex/gray.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/gray.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/gray_hollow_icy
{
    q3map_lightImage textures/leighrex/gray.tga
    qer_editorImage textures/leighrex/qer_gray_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/leighrex/gray.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_leighrex/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/leighrex/black
{
    qer_editorImage textures/leighrex/black.tga
    {
        map textures/leighrex/black.tga
    }
}

textures/leighrex/black_sl
{
    qer_editorImage textures/leighrex/black.tga
    surfaceparm slick
    {
        map textures/leighrex/black.tga
    }
}

textures/leighrex/black_hollow
{
    qer_editorImage textures/leighrex/black.tga
    qer_trans 0.7`
    surfaceparm nonsolid
    {
        map textures/leighrex/black.tga
    }
}

textures/leighrex/icy_jumps_v
{
    qer_editorImage textures/leighrex/icy_jumps_v.tga
    polygonOffset
    {
        map textures/leighrex/icy_jumps_v.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1

    }
}

textures/leighrex/lucifer
{
    qer_editorImage textures/leighrex/lucifer.tga
    polygonOffset
    {
        map textures/leighrex/lucifer.tga
        blendFunc blend
        alphaGen const 1
//        alphaGen wave sin 0.5 0.5 0 1.2
    }
}

textures/leighrex/exit
{
    qer_editorImage textures/leighrex/exit.tga
    polygonOffset
    {
        map textures/leighrex/exit.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/leighrex/teh_end
{
    qer_editorImage textures/leighrex/teh_end.tga
    polygonOffset
    {
        map textures/leighrex/teh_end.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/leighrex/telekinetic
{
    qer_editorImage textures/leighrex/qer_telekinetic.tga
    polygonOffset
    {
        map textures/_leighrex/telekinetic.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/jackass
{
    qer_editorImage textures/leighrex/qer_jackass.tga
    polygonOffset
    {
        map textures/_leighrex/jackass.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/this_way
{
    qer_editorImage textures/leighrex/qer_this_way.tga
    polygonOffset
    {
        map textures/_leighrex/this_way.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/no_kevlar
{
    qer_editorImage textures/leighrex/qer_no_kevlar.tga
    polygonOffset
    {
        map textures/_leighrex/no_kevlar.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/arrow
{
    qer_editorImage textures/leighrex/qer_arrow.tga
    polygonOffset
    {
        map textures/_leighrex/arrow.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/air_time
{
    qer_editorImage textures/leighrex/qer_air_time.tga
    polygonOffset
    {
        map textures/_leighrex/air_time.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/got_leet
{
    qer_editorImage textures/leighrex/qer_got_leet.tga
    polygonOffset
    {
        map textures/_leighrex/got_leet.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/speedway
{
    qer_editorImage textures/leighrex/qer_speedway.tga
    polygonOffset
    {
        map textures/_leighrex/speedway.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/tile_trans
{
    qer_editorImage textures/leighrex/tile_trans.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/leighrex/tile_trans.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/leighrex/tile_trans_lt
{
    qer_editorImage textures/leighrex/tile_trans_lt.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/leighrex/tile_trans_lt.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/leighrex/tile_trans_color
{
    qer_editorImage textures/leighrex/tile_trans_color.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/leighrex/tile_trans_color.tga
        blendFunc blend
        alphaGen const 0.6
    }
}

textures/leighrex/tile_trans_hollow
{
    qer_editorImage textures/leighrex/tile_trans_hollow.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    {
        map textures/leighrex/tile_trans_hollow.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/leighrex/rambetter
{
    qer_editorImage textures/leighrex/qer_rambetter.tga
    polygonOffset
    {
        map textures/_leighrex/rambetter.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/rambetter_avatar
{
    qer_editorImage textures/leighrex/rambetter_avatar.tga
    polygonOffset
    {
        map textures/leighrex/rambetter_avatar.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/leet
{
    qer_editorImage textures/leighrex/leet.tga
    polygonOffset
    {
        map textures/leighrex/leet.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/blood
{
    qer_editorImage textures/leighrex/trem_blood.tga
    polygonOffset
    {
        map textures/leighrex/trem_blood.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/titanium
{
    qer_editorImage textures/leighrex/qer_titanium.tga
    polygonOffset
    {
        map textures/_leighrex/titanium.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/quzer
{
    qer_editorImage textures/leighrex/qer_quzer.tga
    polygonOffset
    {
        map textures/_leighrex/quzer.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/velo_sport
{
    qer_editorImage textures/leighrex/qer_velo_sport.tga
    polygonOffset
    {
        map textures/_leighrex/velo_sport.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/are_noob
{
    qer_editorImage textures/leighrex/are_noob.tga
    polygonOffset
    {
        map textures/leighrex/are_noob.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/leighrex/wuz_here
{
    qer_editorImage textures/leighrex/wuz_here.tga
    polygonOffset
    {
        map textures/leighrex/wuz_here.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/nooby_novelty
{
    qer_editorImage textures/leighrex/qer_nooby_novelty.tga
    polygonOffset
    {
        map textures/_leighrex/nooby_novelty.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/caution
{
    qer_editorImage textures/leighrex/caution.tga
    polygonOffset
    {
        map textures/leighrex/caution.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1
    }
}

textures/leighrex/slow
{
    qer_editorImage textures/leighrex/slow.tga
    polygonOffset
    {
        map textures/leighrex/slow.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0.5 1
        alphaGen const 1
    }
}

textures/leighrex/speed_limit
{
    qer_editorImage textures/leighrex/speed_limit.tga
    polygonOffset
    {
        map textures/leighrex/speed_limit.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1
    }
}


textures/leighrex/beastie
{
    qer_editorImage textures/leighrex/beastie.tga
    polygonOffset
    {
        map textures/leighrex/beastie.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/tux
{
    qer_editorImage textures/leighrex/tux.tga
    polygonOffset
    {
        map textures/leighrex/tux.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/vytis
{
    qer_editorImage textures/leighrex/vytis.tga
    polygonOffset
    {
        map textures/leighrex/vytis.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/competition_results
{
    qer_editorImage textures/leighrex/competition_results.tga
    polygonOffset
    {
        map textures/leighrex/competition_results.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/noob_finish
{
    qer_editorImage textures/leighrex/qer_noob_finish.tga
    polygonOffset
    {
        map textures/_leighrex/noob_finish.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/no_nooby_access
{
    qer_editorImage textures/leighrex/no_nooby_access.tga
    polygonOffset
    {
        map textures/leighrex/no_nooby_access.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/mario
{
    qer_editorImage textures/leighrex/mario.tga
    polygonOffset
    {
        map textures/leighrex/mario.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/bowser
{
    qer_editorImage textures/leighrex/bowser.tga
    polygonOffset
    {
        map textures/leighrex/bowser.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/mariosprite
{
    qer_editorImage textures/leighrex/mariosprite.tga
    polygonOffset
    {
        map textures/leighrex/mariosprite.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/mushroom
{
    qer_editorImage textures/leighrex/mushroom.tga
    polygonOffset
    {
        map textures/leighrex/mushroom.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/hot_chicks
{
    qer_editorImage textures/leighrex/hot_chicks.tga
    polygonOffset
    {
        map textures/leighrex/hot_chicks.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/chick_zone
{
    qer_editorImage textures/leighrex/chick_zone.tga
    polygonOffset
    {
        map textures/leighrex/chick_zone.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/noob_filter
{
    qer_editorImage textures/leighrex/qer_noob_filter.tga
    polygonOffset
    {
        map textures/_leighrex/noob_filter.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/nooby_maze
{
    qer_editorImage textures/leighrex/qer_nooby_maze.tga
    polygonOffset
    {
        map textures/_leighrex/nooby_maze.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/mario_fun_thing
{
    qer_editorImage textures/leighrex/qer_mario_fun_thing.tga
    polygonOffset
    {
        map textures/_leighrex/mario_fun_thing.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/please_wait
{
    qer_editorImage textures/leighrex/qer_please_wait.tga
    polygonOffset
    {
        map textures/_leighrex/please_wait.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/leighrex/daffy
{
    qer_editorImage textures/leighrex/daffy.jpg
    surfaceparm detail
    {
        map textures/leighrex/daffy.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}



textures/leighrex/chicky1
{
    qer_editorImage textures/leighrex/chicky1.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/leighrex/chicky1.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/chicky2
{
    qer_editorImage textures/leighrex/chicky2.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/leighrex/chicky2.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/chicky3
{
    qer_editorImage textures/leighrex/chicky3.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/leighrex/chicky3.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/laetitia
{
    qer_editorImage textures/leighrex/laetitia.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/leighrex/laetitia.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/megan
{
    qer_editorImage textures/leighrex/megan.jpg
    surfaceparm detail
    {
        map textures/leighrex/megan.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/anna
{
    qer_editorImage textures/leighrex/anna.jpg
    surfaceparm detail
    {
        map textures/leighrex/anna.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/looking_glass
{
    qer_editorImage textures/leighrex/qer_looking_glass.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/_leighrex/looking_glass_clear.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_leighrex/q3a_looking_glass_fog.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}

textures/leighrex/lava
{
    qer_editorImage textures/leighrex/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    q3map_tessSize 96
    cull disable
    {
        map textures/_leighrex/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_leighrex/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/leighrex/lava_brighter
{
    qer_editorImage textures/leighrex/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 490
    q3map_tessSize 96
    cull disable
    {
        map textures/_leighrex/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_leighrex/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/leighrex/lava_bright
{
    qer_editorImage textures/leighrex/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 600
    q3map_tessSize 96
    cull disable
    {
        map textures/_leighrex/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_leighrex/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/leighrex/lavacaulk
{
    qer_editorImage textures/leighrex/qer_lava.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/leighrex/lavafog
{
    qer_editorImage textures/leighrex/qer_lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.94 0.50 0.16 ) 150
}

textures/leighrex/adobe_wall
{
    qer_editorImage textures/leighrex/adobe_wall.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/leighrex/adobe_wall.jpg
        blendFunc filter
    }
}

textures/leighrex/lava_room_walls
{
    qer_editorImage textures/leighrex/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/leighrex/lava_room_walls.jpg
        tcMod scale 0.125 0.125
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/lava_room_walls_hl
{
    qer_editorImage textures/leighrex/lava_room_walls.jpg
    qer_trans 0.50
    surfaceparm nonsolid    
    {
        map textures/leighrex/lava_room_walls.jpg
        tcMod scale 0.125 0.125
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/lava_room_walls_med
{
    qer_editorImage textures/leighrex/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/leighrex/lava_room_walls.jpg
        tcMod scale 0.6 0.6
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/lava_room_walls_sm
{
    qer_editorImage textures/leighrex/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/leighrex/lava_room_walls.jpg
        tcMod scale 1.5 1.5
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/lava_room_walls_noscale
{
    qer_editorImage textures/leighrex/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/leighrex/lava_room_walls.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/darkceil
{
    qer_editorImage textures/leighrex/darkceil.jpg
    {
        map textures/leighrex/darkceil.jpg
        tcMod scale 0.6 0.6
    }
    {
        map $lightmap
        blendFunc filter
    }

}

textures/leighrex/darkfloor
{
    qer_editorImage textures/leighrex/darkfloor.jpg
    {
        map textures/leighrex/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/darkfloor_soft
{
    q3map_lightImage textures/leighrex/darkfloor.jpg
    qer_editorImage textures/leighrex/qer_darkfloor_soft.jpg
    surfaceparm nodamage
    {
        map textures/leighrex/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/deathfog
{
    qer_editorImage textures/leighrex/black.tga
    qer_trans 0.3
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0 0 0 ) 1024
}

textures/leighrex/deathfogthick
{
    qer_editorImage textures/leighrex/black.tga
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0 0 0 ) 400
}

textures/leighrex/mirror
{
    qer_editorImage textures/leighrex/qer_mirror.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
//    surfaceparm detail
    {
        map textures/_leighrex/mirror.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_leighrex/q3a_sfx_mirror.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}

textures/leighrex/tileclip
{
    qer_editorImage textures/leighrex/green_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm nodamage
    surfaceparm slick
    cull back
    {
        map textures/leighrex/green_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.15 0.04 0 1
    }
}

textures/leighrex/green_tile_glow_med
{
    qer_editorImage textures/leighrex/green_tile_glow_med.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/leighrex/green_tile_glow_med.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}

textures/leighrex/laddercaulk
{
    qer_editorImage textures/leighrex/qer_laddercaulk.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm ladder
}

textures/leighrex/lum_faint
{
    qer_editorImage textures/leighrex/white.tga
    qer_trans 0.4
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 5
    q3map_tessSize 96
    q3map_lightImage textures/leighrex/white.tga
}

textures/leighrex/lum_dim
{
    qer_editorImage textures/leighrex/white.tga
    qer_trans 0.6
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 15
    q3map_tessSize 96
    q3map_lightImage textures/leighrex/white.tga
}

textures/leighrex/lum
{
    qer_editorImage textures/leighrex/white.tga
    qer_trans 0.8
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 45
    q3map_tessSize 96
    q3map_lightImage textures/leighrex/white.tga
}

textures/leighrex/lum_none
{
    qer_editorImage textures/leighrex/white.tga
    qer_trans 0.2
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 0
    q3map_tessSize 96
    q3map_lightImage textures/leighrex/white.tga
}

textures/leighrex/blue_glow
{
    qer_editorImage textures/leighrex/qer_blue_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_leighrex/blue_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.40 0.10 0 1
        tcMod rotate 20
        tcMod scroll 0.025 0.015
    }
}

textures/leighrex/red_glow
{
    qer_editorImage textures/leighrex/qer_red_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 70
    q3map_tessSize 64
    cull disable
    {
        map textures/_leighrex/red_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.35 0.15 0 1
    }
}

textures/leighrex/redwood
{
    qer_editorImage textures/leighrex/redwood.jpg
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/leighrex/redwood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/glass_dark
{
    qer_editorImage textures/leighrex/qer_glass_dark.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_leighrex/urt41_chrome.tga
        rgbGen vertex
        blendFunc blend
        tcGen environment
    }
}

textures/leighrex/e591539f
{
    qer_editorImage textures/leighrex/qer_e591539f.jpg
    surfaceparm detail
    {
        map textures/_leighrex/e591539f.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/leighrex/ps3
{
    qer_editorImage textures/leighrex/ps3.tga
    polygonOffset
    {
        map textures/leighrex/ps3.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/leighrex/uber_leet
{
    qer_editorImage textures/leighrex/uber_leet.tga
    {
        map textures/leighrex/uber_leet.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 1.6
        alphaGen const 1
    }
}
